summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/cp/thru-dangling2
-rwxr-xr-xtests/dd/misc2
2 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/thru-dangling b/tests/cp/thru-dangling
index 71b41cd5d..7caeed33b 100755
--- a/tests/cp/thru-dangling
+++ b/tests/cp/thru-dangling
@@ -38,7 +38,7 @@ compare err exp-err || fail=1
test -f no-such && fail=1
# But you can set POSIXLY_CORRECT to get the historical behavior.
-POSIXLY_CORRECT=1 cp f dangle > out 2>&1 || fail=1
+env POSIXLY_CORRECT=1 cp f dangle > out 2>&1 || fail=1
cat no-such >> out || fail=1
compare out exp || fail=1
diff --git a/tests/dd/misc b/tests/dd/misc
index e550d6a52..04318f08a 100755
--- a/tests/dd/misc
+++ b/tests/dd/misc
@@ -89,7 +89,7 @@ outbytes=`echo x | dd bs=3 ibs=10 obs=10 conv=sync 2>/dev/null | wc -c`
test "$outbytes" -eq 3 || fail=1
(echo a; sleep .1; echo b) \
- | LC_ALL=C dd bs=4 status=noxfer iflag=fullblock >out 2>err || fail=1
+ | env LC_ALL=C dd bs=4 status=noxfer iflag=fullblock >out 2>err || fail=1
printf 'a\nb\n' > out_ok || framework_failure
echo "1+0 records in
1+0 records out" > err_ok || framework_failure